Results 1 to 8 of 8

Thread: 64 bit firefox + flash + java plugins?

  1. #1

    Default 64 bit firefox + flash + java plugins?

    Is it possible to use 64bit firefox with flash and java plugins (which only come 32 bit)? I tried a symbolic link from /usr/lib/browser-plugins/libflashplayer.so to /usr/lib64/browser-plugins but no success.

    Are 64 bit users still forced to install 32 bit firefox? Isn't it time to start developping 64 bit plugins, since this problem is getting irritating, with every new release of a distro again the same 64 bit problems...

    And oh is there a special 64 bit section on the forum? Couldn't find it and I know there used to be one on suseforums.net

    greetz

  2. #2
    dtl13 NNTP User

    Default Re: 64 bit firefox + flash + java plugins?

    nspluginwrapper -
    nspluginwrapper [Web > Gwenole Beauchesne]
    flash worked for me on OS_10.2/.3_64,
    don't know about java

  3. #3
    Join Date
    Jun 2008
    Location
    Munich
    Posts
    355

    Default Re: 64 bit firefox + flash + java plugins?

    I think java 32bit won't run on firefox 64 bit. For that I changed my architecture of firefox to 32 bit to keep all my plugins running.

    cu
    Gargi

  4. #4

    Default Re: 64 bit firefox + flash + java plugins?

    Quote Originally Posted by HRGargi View Post
    I think java 32bit won't run on firefox 64 bit.
    the nspluginwrapper won't work with Sun's 32bit java plugin on FF 64bit, and neither do they (Sun) currently offer a 64bit plugin.

    But a 64bit plugin is available. See:
    - Java/How To use Java with Firefox on 64-bit openSuSE 10.3 - openSUSE ..... download the x86_64 rpm's from Index of /distribution/SL-OSS-factory/inst-source/suse/x86_64 and use rpm to install as described in the above link ... you will likely need to install the other things mentioned ... but the error messages should be clear enough to provide a trail as to what to do ... just follow the rabbit.

    Some background info here:
    - OpenJDK
    - Main Page - IcedTea

    For general use I have found that it (OpenJDK 1.6) works well (though, of course, YMMV) ... unfortunately, I do have one use scenario (re: use of SSL) under which I have encountered an error/bug present in the current 1.6 build in factory ... though I know that it has been fixed in the development releases ... hoping that an updated build gets compiled soon ... I have tried building a current OpenJDK release on my own but one of the required packages to do so mysteriously freezes smart when I try to acquire it ... haven't tried to acquire it with YAST yet, and may not bother)

  5. #5

    Default Re: 64 bit firefox + flash + java plugins?

    When I install 32 bit firefox it doesn't even start anymore and this error appears in terminal:

    Could not find compatible GRE between version 1.9.0 and 1.9.0.

    It's strange that there aren't any dependencies issues either with the 64 bit plugins of Mplayer and totem...

    What does this error mean?

  6. #6
    Join Date
    Jun 2008
    Posts
    37

    Default Re: 64 bit firefox + flash + java plugins?

    I use Firefox 64bit and for java openJDK6 and the 64bit plugin. Works so far on what i've tested.
    Flash is 32bit but it's working somehow.

    regards,
    Carlos

  7. #7
    Join Date
    Jun 2008
    Location
    Munich
    Posts
    355

    Default Re: 64 bit firefox + flash + java plugins?

    Quote Originally Posted by suskewiet View Post
    When I install 32 bit firefox it doesn't even start anymore and this error appears in terminal:

    Could not find compatible GRE between version 1.9.0 and 1.9.0.

    It's strange that there aren't any dependencies issues either with the 64 bit plugins of Mplayer and totem...

    What does this error mean?
    Switch mozilla-xulrunner190 to 32bit and also install mozilla-xulrunner190-32bit. That should fix the problem.

    @64bit Java (IcedTea): It installs fine, but I got tons of errors loading some applets. Not very stable yet I think.

  8. #8
    Join Date
    Mar 2008
    Location
    NE Arkansas
    Posts
    1,126

    Default Re: 64 bit firefox + flash + java plugins?

    Quote Originally Posted by Tyler_K View Post
    But a 64bit plugin is available. See:
    - Java/How To use Java with Firefox on 64-bit openSuSE 10.3 - openSUSE ..... download the x86_64 rpm's from Index of /distribution/SL-OSS-factory/inst-source/suse/x86_64 and use rpm to install as described in the above link
    I verify that the manual process "http://en.opensuse.org/Java/How_To_use_Java_with_Firefox_on_64-bit_openSuSE_10.3#The_OpenJDK6_and_IcedTea7" works.

    Used: The OpenJDK6 and IcedTea7; Rpm way
    I downloaded the 2 rpms
    installed with "rpm -ihv /path/packagename"
    checked in Tools > Add-Ons -- it was there

    Tested with: Mini Putt 3 - Free Sports Game from AddictingGames

    Have fun
    Desktop Asus X-99 Viper. uefi & secure Boot, Win10, Leap 15.1 B & Leap 43.2; and, Laptop: ASUS GL752VW Optimus, uefi+Secure Boot, Win10, Leap 15 & T-weed

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •